<ng-content></ng-content>
<tr>
  <td
    [ngClass]="{
      'checked-in': detail.isActive,
      'checked-out': !detail.isActive
    }"
  >
    {{ detail.id }}
  </td>
  <td [class.checked-in]="detail.isActive">{{ detail.name }}</td>
  <td>{{ detail.type }}</td>
  <button [routerLink]="[detail.id]">Edit pokemon</button>
  <button (click)="onRemove()">Remove pokemon</button>
</tr>
